i18n: script updates

This commit is contained in:
Juergen E. Fischer 2014-11-12 23:43:45 +01:00
parent 571d47a889
commit 5ccb1e777d
2 changed files with 2 additions and 19 deletions

View File

@ -3,7 +3,7 @@
# pull_ts.sh
# ---------------------
# Date : November 2014
# Copyright : (C) 2014 by Tim Sutton
# Copyright : (C) 2014 by Juergen E. Fischer
# Email : jef at norbit dot de
###########################################################################
# #
@ -53,28 +53,11 @@ cleanup() {
PATH=$QTDIR/bin:$PATH
if type qmake-qt4 >/dev/null 2>&1; then
QMAKE=qmake-qt4
else
QMAKE=qmake
fi
if ! type pylupdate4 >/dev/null 2>&1; then
echo "pylupdate4 not found"
exit 1
fi
if ! type tx >/dev/null 2>&1; then
echo "tx not found"
exit 1
fi
if type lupdate-qt4 >/dev/null 2>&1; then
LUPDATE=lupdate-qt4
else
LUPDATE=lupdate
fi
trap cleanup EXIT
tar --remove-files -cf i18n/python_ts.tar $(find python -name "*.ts")

View File

@ -112,4 +112,4 @@ $QMAKE -project -o qgis_ts.pro -nopwd src python i18n
echo Updating translations
$LUPDATE -locations none -verbose qgis_ts.pro
echo tx push -s
tx push -s